unit DCOMTSvr_TLB;

{ This file contains pascal declarations imported from a type library.
  This file will be written during each import or refresh of the type
  library editor.  Changes to this file will be discarded during the
  refresh process. }

{ ÀÒÎË: Áèáëèîòåêà DCOMTSvr }
{ Version 1.0 }

interface

uses Windows, ActiveX, Classes, Graphics, OleCtrls, StdVCL;

const
  LIBID_DCOMTSvr: TGUID = '{71A8FDB3-C39E-11D5-8BEE-0080C87C930A}';

const

{ Component class GUIDs }
  Class_DCOMTObject: TGUID = '{71A8FDB5-C39E-11D5-8BEE-0080C87C930A}';

type

{ Forward declarations: Interfaces }
  IDCOMTIntf = interface;
  IDCOMTIntfDisp = dispinterface;

{ Forward declarations: CoClasses }
  DCOMTObject = IDCOMTIntf;

{ ÀÒÎË: DCOMTIntf }

  IDCOMTIntf = interface(IDispatch)
    ['{71A8FDB4-C39E-11D5-8BEE-0080C87C930A}']
    function GetValue: Integer; safecall;
  end;

{ DispInterface declaration for Dual Interface IDCOMTIntf }

  IDCOMTIntfDisp = dispinterface
    ['{71A8FDB4-C39E-11D5-8BEE-0080C87C930A}']
    function GetValue: Integer; dispid 1;
  end;

{ ÀÒÎË: DCOMTSvr }

  CoDCOMTObject = class
    class function Create: IDCOMTIntf;
    class function CreateRemote(const MachineName: string): IDCOMTIntf;
  end;



implementation

uses ComObj;

class function CoDCOMTObject.Create: IDCOMTIntf;
begin
  Result := CreateComObject(Class_DCOMTObject) as IDCOMTIntf;
end;

class function CoDCOMTObject.CreateRemote(const MachineName: string): IDCOMTIntf;
begin
  Result := CreateRemoteComObject(MachineName, Class_DCOMTObject) as IDCOMTIntf;
end;


end.
